Search documentation of stripe_elixir

# StripeElixir.Resources.ShippingDetails (stripe_elixir v0.1.0)

Copy Markdown View Source

Shipping

## Summary

### Types

t()

### Functions

expandable_fields()
object_name()

## Types

# t()

    @type t() :: %StripeElixir.Resources.ShippingDetails{
      address: String.t() | map() | nil,
      carrier: String.t() | nil,
      name: String.t() | nil,
      phone: String.t() | nil,
      tracking_number: String.t() | nil
    }

- `address` - Expandable.
- `carrier` - The delivery service that shipped a physical product, such as Fedex, UPS, USPS, etc. Max length: 5000. Nullable.
- `name` - Recipient name. Max length: 5000.
- `phone` - Recipient phone (including extension). Max length: 5000. Nullable.
- `tracking_number` - The tracking number for a physical product, obtained from the delivery service. If multiple tracking numbers were generated for this purchase, please separate them with commas. Max length: 5000. Nullable.

## Functions

# expandable_fields()

# object_name()